# Claim

## Initiate Cash Reimbursement Claims

## The endpoint initiates the creation of a Cash Reimbursement Micro Health claim.

<mark style="color:green;">`POST`</mark> `https://sandbox.insurpass.com/api/merchants/micro_health/cash_raimbursement_claims`

#### Headers

| Name                                            | Type   | Description                     |
| ----------------------------------------------- | ------ | ------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer {$secret-key}/{$api-key} |
| Content-Type<mark style="color:red;">\*</mark>  | String | application/json                |

#### Request Body

| Name                                                         | Type   | Description                                                                        |
| ------------------------------------------------------------ | ------ | ---------------------------------------------------------------------------------- |
| policy\_number<mark style="color:red;">\*</mark>             | String | The unique number that identifies the purchased  insurance policy - **2062058003** |
| proof\_of\_hospitalization<mark style="color:red;">\*</mark> | String | url to the proof of hospitalization - **<https://meet.google.com/image.png>**      |
| receipt\_of\_payment                                         | String | url to the receipt of payment - **<https://meet.google.com/image.png>**            |

{% tabs %}
{% tab title="200: OK " %}
{% code overflow="wrap" lineNumbers="true" %}

```javascript
 {
            "id": 28,
            "policy_id": 439,
            "proof_of_hospitalization": null,
            "receipt_of_payment": null,
            "beneficiary_id_card": "https://meet.google.com/image.png",
            "medical_certificate": "https://meet.google.com/image.png",
            "police_report": "https://meet.google.com/image.png",
            "death_certificate": "https://meet.google.com/image.png",
            "status": "pending",
            "merchant_id": 1,
            "type_of_claims": "funeral_expense_benefits",
            "created_at": "2022-10-17T12:56:50.000000Z",
            "updated_at": "2022-10-17T12:56:50.000000Z"
 }
```

{% endcode %}
{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="PHP" %}
{% code overflow="wrap" lineNumbers="true" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://sandbox.insurpass.com/api/merchant/micro_health/cash_raimbursement_claims',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS =>'{
    "policy_number":"2062058003",
    "proof_of_hospitalization":"https://meet.google.com/image.png",
    "receipt_of_payment":"https://meet.google.com/image.png"
}',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer {{SECRETKEY}}',
    'Content-Type: application/json'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
```

{% endcode %}
{% endtab %}

{% tab title="NODE JS" %}
{% code overflow="wrap" lineNumbers="true" %}

```javascript
var axios = require('axios');
var data = JSON.stringify({
    "policy_number":"2062058003",
    "proof_of_hospitalization":"https://meet.google.com/image.png",
    "receipt_of_payment":"https://meet.google.com/image.png"
});

var config = {
  method: 'post',
  url: 'https://sandbox.insurpass.com/api/merchant/micro_health/cash_raimbursement_claims',
  headers: { 
    'Authorization': 'Bearer {{SECRETKEY}}', 
    'Content-Type': 'application/json'
  },
  data: data
};

axios(config)
.then(function (response) {
  console.log(JSON.stringify(response.data));
})
.catch(function (error) {
  console.log(error);
})
```

{% endcode %}
{% endtab %}

{% tab title="CURL" %}
{% code overflow="wrap" %}

```clike
curl --location --request POST https://sandbox.insurpass.com/api/merchants/micro_health/cash_raimbursement_claims' \
--header 'Authorization: Bearer {{SECRETKEY}}' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data-raw '{
    "policy_number":"2062058003",
    "proof_of_hospitalization":"https://meet.google.com/image.png",
    "receipt_of_payment":"https://meet.google.com/image.png"
}'
```

{% endcode %}
{% endtab %}
{% endtabs %}

## Initiate Funeral Expense Benefit Claims

## The endpoint initiates the creation of a Funeral Expense Benefit Micro Health claim.

<mark style="color:green;">`POST`</mark> `https://sandbox.insurpass.com/api/merchants/micro_health/funeral_expense_benefit_claims`

#### Headers

| Name                                            | Type   | Description                     |
| ----------------------------------------------- | ------ | ------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer {$secret-key}/{$api-key} |
| Content-Type<mark style="color:red;">\*</mark>  | String | application/json                |

#### Request Body

| Name                                                    | Type   | Description                                                                        |
| ------------------------------------------------------- | ------ | ---------------------------------------------------------------------------------- |
| policy\_number<mark style="color:red;">\*</mark>        | String | The unique number that identifies the purchased  insurance policy - **2062058003** |
| beneficiary\_id\_card<mark style="color:red;">\*</mark> | String | url to the proof of hospitalization - **<https://meet.google.com/image.png>**      |
| medical\_certificate                                    | String | url to the medical certificate - **<https://meet.google.com/image.png>**           |
| police\_report                                          | String | url to the police report - **<https://meet.google.com/image.png>**                 |
| death\_certificate                                      | String | url to the death certificate - **<https://meet.google.com/image.png>**             |
| death\_claims\_form                                     | String | url to the death claims form - **<https://meet.google.com/image.png>**             |

{% tabs %}
{% tab title="200: OK " %}
{% code overflow="wrap" lineNumbers="true" %}

```javascript
 {
            "id": 28,
            "policy_id": 439,
            "proof_of_hospitalization": null,
            "receipt_of_payment": null,
            "beneficiary_id_card": "https://meet.google.com/image.png",
            "medical_certificate": "https://meet.google.com/image.png",
            "police_report": "https://meet.google.com/image.png",
            "death_certificate": "https://meet.google.com/image.png",
            "status": "pending",
            "merchant_id": 1,
            "type_of_claims": "funeral_expense_benefits",
            "created_at": "2022-10-17T12:56:50.000000Z",
            "updated_at": "2022-10-17T12:56:50.000000Z"
        }
```

{% endcode %}
{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="PHP" %}
{% code overflow="wrap" lineNumbers="true" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://sandbox.insurpass.com/api/merchant/micro_health/funeral_expense_benefit_claims',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS =>'{
    "policy_number":"2062058003",
    "beneficiary_id_card":"https://meet.google.com/image.png",
    "medical_certificate":"https://meet.google.com/image.png",
    "police_report":"https://meet.google.com/image.png",
    "death_certificate":"https://meet.google.com/image.png",
    "death_claims_form":"https://meet.google.com/image.png"
}',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer {{SECRETKEY}}',
    'Content-Type: application/json'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
```

{% endcode %}
{% endtab %}

{% tab title="NODE JS" %}
{% code overflow="wrap" lineNumbers="true" %}

```javascript
var axios = require('axios');
var data = JSON.stringify({
    "policy_number":"2062058003",
    "beneficiary_id_card":"https://meet.google.com/image.png",
    "medical_certificate":"https://meet.google.com/image.png",
    "police_report":"https://meet.google.com/image.png",
    "death_certificate":"https://meet.google.com/image.png",
    "death_claims_form":"https://meet.google.com/image.png"
});

var config = {
  method: 'post',
  url: 'https://sandbox.insurpass.com/api/merchant/micro_health/funeral_expense_benefit_claims',
  headers: { 
    'Authorization': 'Bearer {{SECRETKEY}}', 
    'Content-Type': 'application/json'
  },
  data: data
};

axios(config)
.then(function (response) {
  console.log(JSON.stringify(response.data));
})
.catch(function (error) {
  console.log(error);
})
```

{% endcode %}
{% endtab %}

{% tab title="CURL" %}
{% code overflow="wrap" %}

```clike
curl --location --request POST https://sandbox.insurpass.com/api/merchant/micro_health/funeral_expense_benefit_claims' \
--header 'Authorization: Bearer {{SECRETKEY}}' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data-raw '{
    "policy_number":"2062058003",
    "beneficiary_id_card":"https://meet.google.com/image.png",
    "medical_certificate":"https://meet.google.com/image.png",
    "police_report":"https://meet.google.com/image.png",
    "death_certificate":"https://meet.google.com/image.png",
    "death_claims_form":"https://meet.google.com/image.png"
}'
```

{% endcode %}
{% endtab %}
{% endtabs %}

## Micro Health Claim Details

## This endpoint  returns an object containing a single Micro Health claim

<mark style="color:blue;">`GET`</mark> `https://sandbox.insurpass.com/api/merchant/micro_health/get_one_claims/:claim_id`

#### Path Parameters

| Name      | Type   | Description                                        |
| --------- | ------ | -------------------------------------------------- |
| claim\_id | String | The unique number that identifies the claim -**9** |

#### Headers

| Name                                            | Type   | Description                     |
| ----------------------------------------------- | ------ | ------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer {$secret-key}/{$api-key} |
| Content-Type<mark style="color:red;">\*</mark>  | String | application/json                |

{% tabs %}
{% tab title="200: OK " %}
{% code lineNumbers="true" %}

```javascript
{
    "success": true,
    "response_message": "Micro Health Claims retrieved successfully",
    "response_code": "",
    "data": {
        "id": 3,
        "policy_id": 397,
        "proof_of_hospitalization": null,
        "receipt_of_payment": null,
        "beneficiary_id_card": "https://i0.wp.com/lifars.com/wp-content/uploads/2020/01/A-Lesson-for-CIOs-IT-Incident-Management.jpg?fit=1600%2C1200&ssl=1",
        "medical_certificate": "https://i0.wp.com/lifars.com/wp-content/uploads/2020/01/A-Lesson-for-CIOs-IT-Incident-Management.jpg?fit=1600%2C1200&ssl=1",
        "police_report": "https://i0.wp.com/lifars.com/wp-content/uploads/2020/01/A-Lesson-for-CIOs-IT-Incident-Management.jpg?fit=1600%2C1200&ssl=1",
        "death_certificate": "https://i0.wp.com/lifars.com/wp-content/uploads/2020/01/A-Lesson-for-CIOs-IT-Incident-Management.jpg?fit=1600%2C1200&ssl=1",
        "type_of_claims": "funeral_expense_benefits",
        "created_at": "2022-05-17T15:22:30.000000Z",
        "updated_at": "2022-05-17T15:22:30.000000Z"
    }
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="PHP" %}
{% code overflow="wrap" lineNumbers="true" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://sandbox.insurpass.com/api/merchant/micro_health/get_one_claims/:claim_id',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer {{SECRETKEY}}',
    'Content-Type: application/json'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
```

{% endcode %}
{% endtab %}

{% tab title="NODE JS" %}
{% code overflow="wrap" lineNumbers="true" %}

```javascript
var axios = require('axios');
var data = '';

var config = {
  method: 'get',
  url: 'https://sandbox.insurpass.com/api/merchant/micro_health/get_one_claims/:claim_id',
  headers: { 
    'Authorization': 'Bearer {{SECRETKEY}}', 
    'Content-Type': 'application/json'
  },
  data: data
};

axios(config)
.then(function (response) {
  console.log(JSON.stringify(response.data));
})
.catch(function (error) {
  console.log(error);
});
```

{% endcode %}
{% endtab %}

{% tab title="CURL" %}
{% code overflow="wrap" %}

```clike
curl --location --request GET https://sandbox.insurpass.com/api/merchant/micro_health/get_one_claims/:claim_id' \
--header 'Authorization: Bearer {{SECRETKEY}}' \
--header 'Accept: application/json' \
--data-raw ''
```

{% endcode %}
{% endtab %}
{% endtabs %}

## List All Micro Health Claims

## This endpoint returns a list of all the Micro Health Claim objects.

<mark style="color:blue;">`GET`</mark> `https://sandbox.insurpass.com/api/merchant/micro_health/get_claims`

#### Headers

| Name                                            | Type   | Description                     |
| ----------------------------------------------- | ------ | ------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer {$secret-key}/{$api-key} |
| Content-Type<mark style="color:red;">\*</mark>  | String | application/json                |

{% tabs %}
{% tab title="200: OK " %}
{% code lineNumbers="true" %}

```javascript
{
    "success": true,
    "response_message": "Micro health claim get successful",
    "response_code": "",
    "data": [
        {
            "id": 1,
            "policy_id": 397,
            "proof_of_hospitalization": "https://i0.wp.com/lifars.com/wp-content/uploads/2020/01/A-Lesson-for-CIOs-IT-Incident-Management.jpg?fit=1600%2C1200&ssl=1",
            "receipt_of_payment": "https://i0.wp.com/lifars.com/wp-content/uploads/2020/01/A-Lesson-for-CIOs-IT-Incident-Management.jpg?fit=1600%2C1200&ssl=1",
            "beneficiary_id_card": null,
            "medical_certificate": null,
            "police_report": null,
            "death_certificate": null,
            "status": "pending",
            "merchant_id": 1,
            "type_of_claims": "cash_reimbursement",
            "created_at": "2022-05-17T15:06:59.000000Z",
            "updated_at": "2022-05-17T15:06:59.000000Z"
        },
        {
            "id": 2,
            "policy_id": 397,
            "proof_of_hospitalization": null,
            "receipt_of_payment": null,
            "beneficiary_id_card": "https://i0.wp.com/lifars.com/wp-content/uploads/2020/01/A-Lesson-for-CIOs-IT-Incident-Management.jpg?fit=1600%2C1200&ssl=1",
            "medical_certificate": "https://i0.wp.com/lifars.com/wp-content/uploads/2020/01/A-Lesson-for-CIOs-IT-Incident-Management.jpg?fit=1600%2C1200&ssl=1",
            "police_report": "https://i0.wp.com/lifars.com/wp-content/uploads/2020/01/A-Lesson-for-CIOs-IT-Incident-Management.jpg?fit=1600%2C1200&ssl=1",
            "death_certificate": "https://i0.wp.com/lifars.com/wp-content/uploads/2020/01/A-Lesson-for-CIOs-IT-Incident-Management.jpg?fit=1600%2C1200&ssl=1",
            "status": "pending",
            "merchant_id": 1,
            "type_of_claims": "funeral_expense_benefits",
            "created_at": "2022-05-17T15:22:07.000000Z",
            "updated_at": "2022-05-17T15:22:07.000000Z"
        },
        {
            "id": 3,
            "policy_id": 397,
            "proof_of_hospitalization": null,
            "receipt_of_payment": null,
            "beneficiary_id_card": "https://i0.wp.com/lifars.com/wp-content/uploads/2020/01/A-Lesson-for-CIOs-IT-Incident-Management.jpg?fit=1600%2C1200&ssl=1",
            "medical_certificate": "https://i0.wp.com/lifars.com/wp-content/uploads/2020/01/A-Lesson-for-CIOs-IT-Incident-Management.jpg?fit=1600%2C1200&ssl=1",
            "police_report": "https://i0.wp.com/lifars.com/wp-content/uploads/2020/01/A-Lesson-for-CIOs-IT-Incident-Management.jpg?fit=1600%2C1200&ssl=1",
            "death_certificate": "https://i0.wp.com/lifars.com/wp-content/uploads/2020/01/A-Lesson-for-CIOs-IT-Incident-Management.jpg?fit=1600%2C1200&ssl=1",
            "status": "pending",
            "merchant_id": 1,
            "type_of_claims": "funeral_expense_benefits",
            "created_at": "2022-05-17T15:22:30.000000Z",
            "updated_at": "2022-05-17T15:22:30.000000Z"
        }
       
    ]
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="PHP" %}
{% code overflow="wrap" lineNumbers="true" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://sandbox.insurpass.com/api/merchant/micro_health/get_claims',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer {{SECRETKEY}}'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
```

{% endcode %}
{% endtab %}

{% tab title="NODE JS" %}
{% code overflow="wrap" lineNumbers="true" %}

```javascript
var axios = require('axio');
var data = '';

var config = {
  method: 'get',
  url: 'https://sandbox.insurpass.com/api/merchant/micro_health/get_claims',
  headers: { 
    'Authorization': 'Bearer {{SECRETKEY}}'
  },
  data: data
};

axios(config)
.then(function (response) {
  console.log(JSON.stringify(response.data));
})
.catch(function (error) {
  console.log(error);
});
```

{% endcode %}
{% endtab %}

{% tab title="CURL" %}
{% code overflow="wrap" %}

```clike
curl --location --request GET https://sandbox.insurpass.com/api/merchant/micro_health/get_claims' \
--header 'Authorization: Bearer {{SECRETKEY}}' \
--header 'Accept: application/json' \
--data-raw ''
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://milonics.gitbook.io/api-documentation/insurpass-api-reference/subscription/claim.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
